CALIBREDB(1)

NAME
calibredb - calibredb

calibredb komut [seçenekler] [değişkenler]

calibredb is the command line interface to the calibre database. It has several sub-commands, documented below.

calibredb can be used to manipulate either a calibre database specified by path or a calibre Content server running either on the local machine or over the internet. You can start a calibre Content server using either the calibre-server program or in the main calibre program click Connect/share  → Start Content server. Since calibredb can make changes to your calibre libraries, you must setup authentication on the server first. There are two ways to do that:

•   If you plan to connect only to a server running on the same computer, you can simply use the --enable-local-write option of the content server, to allow any program, including calibredb, running on the local computer to make changes to your calibre data. When running the server from the main calibre program, this option is in Preferences → Sharing over the net → Advanced.

•   If you want to enable access over the internet, then you should setup user accounts on the server and use the --username and --password options to calibredb to give it access. You can setup user authentication for calibre-server by using the --enable-auth option and using --manage-users to create the user accounts. If you are running the server from the main calibre program, use Preferences → Sharing over the net → Require username/password.

    To connect to a running Content server, pass the URL of the server to the --with-library option, see the documentation of that option for details and examples.

•   GENEL SEÇENEKLER

•   list

•   add

•   DİZİNLERDEN EKLENİYOR

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB SEÇENEKLER

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

GENEL SEÇENEKLER

--help, -h
    bu yardım iletisini göster ve çık

--library-path, --with-library
    Path to the calibre library. Default is to use the path stored in the settings. You can also connect to a calibre Content server to perform actions on remote libraries. To do so use a URL of the form: http://hostname:port/#library_id for example, http://localhost:8080/#mylibrary. library_id is the library id of the library you want to connect to on the Content server. You can use the special library_id value of - to get a list of library ids available on the server. For details on how to setup access via a Content server, see https://manual.calibre-ebook.com/tr/generated/tr/calibredb.html.

--password
    Password for connecting to a calibre Content server. To read the password from standard input, use the special value: <stdin>. To read the password from a file, use: <f:/path/to/file> (i.e. <f: followed by the full path to the file and a trailing >). The angle brackets in the above are required, remember to escape them or use quotes for your shell.

--username
    Calibre içerik sunucusuna bağlanmak için kullanıcı adı

--version
    programın sürüm numarasını göster ve çık

LIST

calibredb list [seçenekler]

Calibre veritabanındaki kullanılabilir kitapları listele.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ascending
    Sonuçları artan şekilde sırala

--fields, -f
    Veritabanındaki kitaplar listelenirken görüntülenecek alanlar. Alanların virgülle ayrılmış bir listesi olmalıdır. Erişilebilir alanlar: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Öntanımlı: title,authors. "Tümü" özel alanı tüm alanları seçmek için kullanılabilir. Yukarıdaki tümleşik alanlara ek olarak, *alan_adı şeklinde kişisel alanlara da erişilebilir. Mesela, #onaylama kişisel alanı için şu ismi kullanın: *onaylama

--for-machine
    Makine ayrıştırması için daha uygun olan JSON biçiminde çıktı üret. Satır genişliği ve ayraç seçeneklerinin yok sayılmasına neden olur.

--limit
    Gösterilecek en fazla sonuç sayısı. Varsayılan: tümü

--line-width, -w
    Girdideki bir satırın en fazla genişliği. Varsayılanı ekranın boyutunu algılamaktır.

--prefix
    Tüm dosya yolları için önek. Varsayılan kitaplık dizininin mutlak yoludur.

--search, -s
    Sonuçları arama sorgusuna göre süzün. Arama sorgusunun biçimi için lütfen Kullanıcı Kılavuzundaki ilgili belgelendirmeye bakın. Varsayılan olarak süzme işlemi yapılmaz.

--separator
    Alanları ayırmak için kullanılan karakter dizisi. Varsayılan olarak boşluk karakteridir.

--sort-by
    Sonuçların sıralanacağı alan. Kullanılabilir alanlar: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Varsayılan: id

ADD

calibredb add [seçenekler] dosya1 dosya2 dosya3 ...

Belirtilen dosyaları veritabanına kitap olarak ekle. İsterseniz dizinleri de belirtebilirsiniz, dizinlerle ilgili seçenekler için aşağı bakın.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--authors, -a
    Eklenen kitap(lar)ın yazarlarını ayarla

--cover, -c
    Eklenen kitap için kullanılacak kapağın yolu

--duplicates, -d
    Kitaplar zaten veritabanında olsalar da ekle. Karşılaştırma kitap adlarına göre yapılır.

--empty, -e
    Boş bir kitap ekle (biçimi olmayan bir kitap)

--identifier, -I
    Bu kitap için tanımlayıcıları ayarla, örneğin -I asin:XXX -I isbn:YYY

--isbn, -i
    Eklenen kitap(lar)ın ISBN'lerini ayarla

--languages, -l
    Virgülle ayrılmış dillerin listesi (bazı dil isimleri anlaşılamayacağı için en iyisi ISO639 dil kodlarını kullanmak olacaktır)

--series, -s
    Eklenen kitap(lar)ın serilerini ayarla

--series-index, -S
    Eklenen kitap(lar)ın seri numaralarını ayarla

--tags, -T
    Eklenen kitap(lar)ın etiketlerini ayarla

--title, -t
    Eklenen kitapların adlarını ayarla

  DİZİNLERDEN EKLENİYOR

Dizinlerden kitapları eklemeyi denetleme seçenekleri. Ön tanımlı olarak sadece bilinen e-kitap türlerine ait dosya uzantılarına sahip olan dosyalar eklenir.

--add
    Bir dosya adı (küresel) kalıbı. Dosyalar için dizinler taranırken bu kalıba uyan dosyalar, bilinen bir e-kitap dosya türü olmasa dahi, eklenecektir. Birden fazla kalıp için birden fazla kez belirtilebilir.

--ignore
    Bir dosya adı (küresel) kalıbı. Dosyalar için dizinler taranırken bu kalıba uyan dosyalar atlanacaktır. Birden fazla kalıp için birden fazla kez belirtilebilir. Mesela: *.pdf kalıbı tüm pdf dosyalarını atlayacaktır.

--one-book-per-directory, -1
    Her dizinin sadece bir mantıksal kitap içerdiğini ve içindeki tüm dosyaların o kitabın farklı e-kitap formatları olduğunu varsay

--recurse, -r
    Dizinleri içe doğru işleme tabi tut

REMOVE

calibredb kimlikleri kaldır

Kimlikleri ile belirtilen kitapları veri tabanından sil. Kimlikler, kimlik numaralarının virgülle ayrılmış listesi olmalıdır (arama komutuyla kimlik numaralarını alabilirsiniz). Örneğin, 23,34,57-85 (aralık belirtirken, aralıkta son numara dahil edilmez).

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--permanent
    Geri dönüşüm kutusunu kullanma

ADD_FORMAT

calibredb add_format [seçenekler] id e-kitap_file

e-kitap_file'ndaki e-kitabı kimliği ile tanımlanan mantıksal kitap için kullanılabilir biçime ekle. Arama komutunu kullanarak kimlik alabilirsiniz. Biçim zaten mevcutsa, yer değiştirme seçeneği belirtilmediği takdirde yer değiştirilir.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--dont-replace
    Mevcut biçimi değiştirmeyin

REMOVE_FORMAT

calibredb remove_format [seçenekler] id fmt

id ile tanımlanan mantıksal kitaptan fmt biçimini kaldır. Arama komutunu kullanarak id numarasını alabilirsiniz. fmt LRF veya TXT veya EPUB gibi bir dosya uzantısı olmalıdır. Mantıksal kitabın kullanılabilir fmt'si yoksa, hiçbir şey yapma.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [seçenekler] id

id ile tanımlanan kitap için Calibre veri tabanında kayıtlı metadata'yı göster. id, arama komutuyla gelen id numarasıdır.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--as-opf
    Üstbilgiyi OPF formunda yazdır (XML)

SET_METADATA

calibredb set_metadata [seçenekler] id [/path/to/metadata.opf]

Id ile belirtilen kitap için Calibre veri tabanında kayıtlı metadata'yı metadata.opf OPF dosyasından ayarla. id arama komutundaki id numarasıdır. show_metadata komutuna --as-opf anahtarını vererek OPF biçimi ile ilgili fikir edinebilirsiniz. Ayrıca --field seçeneği ile değişik alanların metadata'sını ayarlayabilirsiniz. --field seçeneğini kullanırsanız, bir OPF dosyası belirtmeye gerek yoktur.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--field, -f
    Ayarlanacak alan. Biçimi alan_ismi:değer şeklindedir, örneğin: --field etiketler:etiket1,etiket2. Tüm alan isimlerinin listesini almak için --list-fields kullanın. Birden çok alan ayarlamak için bu seçeneği birden fazla kere kullanabilirsiniz. Not: Diller için ISO639 dil kodlarını kullanmalısınız (örn. İngilizce için en, Fransızca için fr ve benzeri). Tanımlayıcılar için, söz dizimi --field identifiers:isbn:XXXX,doi:YYYYY şeklindedir. Bool (evet/hayır) değerler için true ve false veya yes veya no kullanın.

--list-fields, -l
    --field seçeneğiyle kullanılabilecek metadata alan isimlerini listeleyin

EXPORT

calibredb export [seçenekler] id'ler

ids ile (virgülle ayrılmış liste) belirtilen kitapları dosya sistemine çıkar. Dışa aktarma işlemi kitabın tüm biçimlerini, kapak ve metadatada'sını (opf dosyasına) kaydeder. Id numaralarını arama komutuyla alabilirsiniz.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Kimlik listesine bakmadan tüm kitapları dışa aktar.

--dont-asciiize
    Normalde, Calibre dosya isimleri için İngilizce olmayan tüm karakterleri İngilizce eşleniklerine çevirir. UYARI: Bunu kapatırsanız, kaydettiğiniz dosya sisteminin evrensel kod desteğine bağlı olarak kaydetme sırasında hatalar alabilirsiniz. Bu anahtar bu davranışı kapatacaktır.

--dont-save-cover
    Normally, calibre will save the cover in a separate file along with the actual e-book files. Bu anahtar bu davranışı kapatacaktır.

--dont-update-metadata
    Normal olarak Calibre üst veriyi Calibre kitaplığındaki kaydedilmiş dosyalardan günceller. Diske kaydetmeyi yavaşlatır. Bu anahtar bu davranışı kapatacaktır.

--dont-write-opf
    Normal olarak Calibre üst veriyi gerçek e-kitap dosyalarının yanına ayrı bir OPF dosyasına yazar. Bu anahtar bu davranışı kapatacaktır.

--formats
    Kitapların kaydedileceği biçimlerin virgülle ayrılmış listesi. Varsayılan olarak tüm biçimlerde kaydedilir.

--progress
    Rapor durumu

--replace-whitespace
    Boşlukları alt çizgi ile değiştir.

--single-dir
    Tüm kitapları tek bir dizine dışa aktar

--template
    Kaydedilen dosyaların dosya ismi ve dizin yapısını kontrol etmek için şablon. Varsayılan "{author_sort}/{title}/{title} - {authors}" dosya isimleri başlık ve yazar olacak şekilde kitapları yazara göre alt dizinler. Kullnılabilir kontroller: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    Tarihlerin görüntüleneceği biçim. %d - gün, %b - ay, %m - ay numarası, %Y - yıl. Varsayılan: %b, %Y

--to-dir
    Kitapları belirtilen dizine dışa aktar. Varsayılan dizin .

--to-lowercase
    Yolları küçük harflere dönüştür.

CATALOG

calibredb catalog /hedef/yolu.(csv|epub|mobi|xml...)  [seçenekler]

Bir kataloğu /hedef/yolu uzantısında belirtildiği biçimde dışa aktar. Seçenekler genel katalog çıktısında girdilerin nasıl görüneceğini kontrol eder. Farklı katalog biçimlerinin farklı seçenekleri desteklediğini unutmayın.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ids, -i
    Kataloglanacak veritabanı kimliklerinin virgülle ayrılmış listesi. Kullanılırsa, --search yok sayılır. Varsayılan: all

--search, -s
    Sonuçları arama sorgusuna göre sırala. Arama sorgusu biçimi için, lütfen Kullanıcı Kılavuzundaki aramayla ilgili belgeye bakın. Varsayılan: filtre yok

--verbose, -v
    Ayrıntılı çıktı bilgisi göster. Hata ayıklamada faydalıdır

  EPUB SEÇENEKLER

--catalog-title
    Title of generated catalog used as title in metadata. Default: 'My Books' Applies to: AZW3, EPUB, MOBI output formats

--cross-reference-authors
    Create cross-references in Authors section for books with multiple authors. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--debug-pipeline
    Save the output from different stages of the conversion pipeline to the specified directory. Useful if you are unsure at which stage of the conversion process a bug is occurring. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--exclude-genre
    Regex describing tags to exclude as genres. Default: '[.+]|^+$' excludes bracketed tags, e.g. '[Project Gutenberg]', and '+', the default tag for read books. Applies to: AZW3, EPUB, MOBI output formats

--exclusion-rules
    Specifies the rules used to exclude books from the generated catalog. The model for an exclusion rule is either ('<rule name>','Tags','<comma-separated list of tags>') or ('<rule name>','<custom column>','<pattern>'). For example: (('Archived books','#status','Archived'),) will exclude a book with a value of 'Archived' in the custom column 'status'. When multiple rules are defined, all rules will be applied. Default: "(('Catalogs','Tags','Catalog'),)" Applies to: AZW3, EPUB, MOBI output formats

--generate-authors
    Include 'Authors' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-descriptions
    Include 'Descriptions' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-genres
    Include 'Genres' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-recently-added
    Include 'Recently Added' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-series
    Include 'Series' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-titles
    Include 'Titles' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--genre-source-field
    Source field for 'Genres' section. Default: 'Etiketler' Applies to: AZW3, EPUB, MOBI output formats

--header-note-source-field
    Custom field containing note text to insert in Description header. Default: '' Applies to: AZW3, EPUB, MOBI output formats

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] specifying: <custom field> Custom field containing notes to merge with Comments [before|after] Placement of notes with respect to Comments [True|False] - A horizontal rule is inserted between notes and Comments Default: '::' Applies to: AZW3, EPUB, MOBI output formats

--output-profile
    Specifies the output profile. In some cases, an output profile is required to optimize the catalog for the device. For example, 'kindle' or 'kindle_dx' creates a structured Table of Contents with Sections and Articles. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--prefix-rules
    Specifies the rules used to include prefixes indicating read books, wishlist items and other user-specified prefixes. The model for a prefix rule is ('<rule name>','<source field>','<pattern>','<prefix>'). When multiple rules are defined, the first matching rule will be used. Default: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Applies to: AZW3, EPUB, MOBI output formats

--preset
    Use a named preset created with the GUI catalog builder. A preset specifies all settings for building a catalog. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--thumb-width
    Size hint (in inches) for book covers in catalog. Range: 1.0 - 2.0 Default: '1.0' Applies to: AZW3, EPUB, MOBI output formats

--use-existing-cover
    Replace existing cover when generating the catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

SAVED_SEARCHES

calibredb saved_searches [options] (list|add|remove)

Manage the saved searches stored in this database. If you try to add a query with a name that already exists, it will be replaced.

Syntax for adding:

calibredb saved_searches add search_name search_expression

Syntax for removing:

calibredb saved_searches remove search_name

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [seçenekler] etiket isim veritürü

Bir özel sütun oluştur. etiket sütunun makinenin anlayacağı ismidir. Boşluk veya sütun içermemelidir. name sütunun kullanıcı dostu ismidir. veritürü şunlardan biridir: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--display
    Bu sütundaki verinin nasıl yorumlanacağının özelleştirilmesi için seçenekler sözlüğü. Bu bir JSON karater dizisidir. Sıralama sütunları için, --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" kullanındisplay değişkenine verilebilecek bir çok seçenek vardır. Sütun türüne göre seçenekler: composite: composite_template, composite_sort, make_category,contains_html, use_decorations datetime: date_format enumeration: enum_values, enum_colors, use_decorations int, float: number_format text: is_names, use_decorations Uygun kombinasyonlar bulmanın en iyi yolu grafik arayüzden uygun türde bir özel sütun oluşturmak ardından kitap için OPF yedeğine bakmaktır (Sütun eklendikten sonra yeni bir OPF oluştuğundan emin olun). OPF'de yeni sütun için "display" JSON'unu göreceksiniz.

--is-multiple
    Bu sütun etiket benzeri verileri (virgülle ayrılmış değerleri) içerir. Sadece veri tipi metin olduğunda uygulanır.

CUSTOM_COLUMNS

calibredb özel_sütunlar [seçenekler]

Kullanılabilir özel sütunları listele. Sütun etiketlerini ve kimliklerini gösterir.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--details, -d
    Her sütun için ayrıntıları göster.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [seçenekler] etiket

Etiket tarafından belirlenmiş kişisel sütunu kaldır. Kullanılabilir sütunları custom_columns komutuyla görebilirsiniz.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--force, -f
    Onaylama sorma

SET_CUSTOM

calibredb set_custom [options] column id value

Set the value of a custom column for the book identified by id. You can get a list of ids using the search command. You can get a list of custom column names using the custom_columns command.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--append, -a
    Sütun birden çok değer saklıyorsa, belirtilen değerleri üzerine yazmak yerine mevcut olanlara ekleyin.

RESTORE_DATABASE

calibredb restore_database [seçenekler]

Bu veri tabanını Calibre kitaplığındaki her dizindeki OPF dosyalarında saklanan metadata'dan geri yükle. Bu, metadata.db dosyanız bozulduysa faydalıdır.

UYARI: Bu komut veri tabanınızı tamamen yeniden oluşturur. Tüm kaydedilen aramaları, kullanıcı kategorilerini, santralleri, kitap başına kaydedilmiş dönüştürme ayarlarını, ve özel tarifleri kaybedeceksiniz. Geri yüklenen metadata OPF dosyalarında bulunan veri kadar doğru olacak.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--really-do-it, -r
    Kurtarmayı gerçekleştir. Komut bu seçeneği seçmediğinizde çalışmayacaktır.

CHECK_LIBRARY

calibredb check_library [seçenekler]

Bir kitaplığı temsil eden dosya sisteminde bazı kontroller gerçekleştirir. Raporlar: invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--csv, -c
    CSV biçiminde çıktı

--ignore_extensions, -e
    Yoksayılacak eklentilerin virgülle ayrılmış listesi. Varsayılan: tümü

--ignore_names, -n
    Yoksayılacak isimlerin virgülle ayrılmış listesi. Default: tümü

--report, -r
    Raporların virgülle ayrılmış listesi. Varsayılan: tümü

LIST_CATEGORIES

calibredb list_categories [seçenekler]

Veri tabanındaki kategori bilgisinin raporunu oluştur. Bilgi etiketler panelinde gösterilenin eşidir.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--categories, -r
    Virgülle ayrılmış aranacak kategori isimleri listesi. Öntanımlı: tümü

--csv, -c
    CSV biçiminde çıktı

--dialect
    Üretilecek CSV dosyası türü. Seçilebilecekler: excel, excel-tab

--item_count, -i
    Kategori içindeki öğe başına sayı yerine kategori içindeki öğe sayısını çıktıla

--width, -w
    Girdideki bir satırın en fazla genişliği. Varsayılanı ekranın boyutunu algılamaktır.

BACKUP_METADATA

calibredb backup_metadata [seçenekler]

Her kitabın kaydedilmiş üstbilgisini kendi dizinine ayrı OPF dosyasına yedekle. Bu normalde otomatik olarak yapılır ama OPF dosyalarının yeniden oluşturulmasını zorlamak için --all seçeneğini kullanabilirsiniz.

Üst verinin her değişmesinde OPF dosyaları otomatik olarak yedeklendiğinden bunu yapmanıza gerek kalmayacağını unutmayın.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Normal olarak bu komut sadece tarihi geçmiş OPF dosyaları içeren kitaplarda çalışır. Bu seçenek onu tüm kitaplarda çalıştırır.

CLONE

calibredb clone path/to/new/library

Create a clone of the current library. This creates a new, empty library that has all the same custom columns, Virtual libraries and other settings as the current library.

The cloned library will contain no books. If you want to create a full duplicate, including all books, then simply use your filesystem tools to copy the library folder.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

EMBED_METADATA

calibredb embed_metadata [seçenekler] kitap_kimliği

Calibre kitaplığında saklanan asıl kitap sayfalarını Calibre veri tabanındaki metadata ile güncelle. Normalde, metadata yalnızca Calibre'den dışa aktarım yapılırken güncellenir, bu komut dosyaları olduğu gibi değiştirmek istiyorsanız faydalıdır. Değişik dosya biçimlerinin değişik miktarda metadata desteklediğini unutmayın. kitap_kimliği için özel bir değer olan 'all' kullanarak tüm kitaplarda metadata güncelleyebilirsiniz. Ayrıca birden çok kitap kimliğini boşluklarla ayırarak ve kimlik aralıklarını tire ile ayırarak belirtebilirsiniz. Örneğin: calibredb embed_metadata 1 2 10-15 23

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--only-formats, -f
    Sadece belirtilen biçimlerdeki dosyaların üstbilgilerini güncelle. Birden çok biçim için birden çok defa tanımlama yapmanız gerekir. Varsayılan olarak tüm biçimler güncellenir.

SEARCH

calibredb search [seçenekler] arama ifadesi

Kitaplığı belirtilen arama ifadesi için ara, arama ifadesiyle eşleşen kitap id'lerinin virgülle ayrılmış listesini döndür. Çıktı biçimi girdi olarak id listesi alan diğer komutlarda kullanılabilmeleri açısından faydalıdır.

Arama ifadesi Calibre'nin güçlü arama sorgu dilinden herhangi bir şey olabilir, örneğin: author:asimov title:robot

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--limit, -l
    Azami döndürülecek sonuç sayısı. Varsayılan tüm sonuçlardır.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal